/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class FeedContainerComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    angularPConnectData: AngularPConnectData;
    userName$: string;
    imageKey$: string;
    currentUserInitials$: string;
    currentUserName$: string;
    pulseMessages$: any[];
    showReplyComment$: Object;
    svgComment$: string;
    svgLike$: string;
    svgLikedByMe$: string;
    svgSend$: string;
    pulseConversation: string;
    userData: Map<any, any>;
    pulseComment: Object;
    actionsAPI: any;
    feedAPI: any;
    pulseData: any;
    fetchMessages: any;
    likeMessage: any;
    postMessage: any;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    getMessageData(): void;
    convertToArray(messages: any[]): any[];
    appendPulseMessage(messages: any[]): any[];
    updateMessagesWithOperators(): void;
    updateCurrentUserName(sUser: string): void;
    postClick(): void;
    messageChange(event: any): void;
    likeClick(messageID: string, rMessageID: string, bLikedByMe: boolean, level: string): void;
    commentClick(messageID: any): void;
    postCommentClick(messageID: any): void;
    newCommentChange(event: any, messageID: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedContainerComponent, "app-feed-container", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
